com.holonplatform.vaadin7.navigator.internal

## Class DefaultViewWindowConfigurator

- java.lang.Object
- - com.holonplatform.vaadin7.internal.components.builders.AbstractComponentConfigurator<com.vaadin.ui.Window,ViewWindowConfigurator>
  - - com.holonplatform.vaadin7.navigator.internal.DefaultViewWindowConfigurator

- All Implemented Interfaces:
    ComponentConfigurator<ViewWindowConfigurator>, ViewWindowConfigurator, Serializable

      public class DefaultViewWindowConfigurator
      extends com.holonplatform.vaadin7.internal.components.builders.AbstractComponentConfigurator<com.vaadin.ui.Window,ViewWindowConfigurator>
      implements ViewWindowConfigurator

  Default `ViewWindowConfigurator` implementation.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin7.navigator.ViewWindowConfigurator

      `DEFAULT_WINDOW_HEIGHT, DEFAULT_WINDOW_STYLE_NAME, DEFAULT_WINDOW_WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultViewWindowConfigurator(com.vaadin.ui.Window window)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ViewWindowConfigurator` | `closable(boolean closable)` Sets whether to show a close button in the view Window header.
    `ViewWindowConfigurator` | `draggable(boolean draggable)` Set whether the view Window is draggable.
    `ViewWindowConfigurator` | `position(int x, int y)` Sets the position of the view window on the screen.
    `ViewWindowConfigurator` | `resizable(boolean resizable)` Sets whether to allow the view Window to be resized.
    `ViewWindowConfigurator` | `withCloseShortcut(int keyCode, int... modifiers)` Adds a close shortcut to the view window - pressing this key while holding down all (if any) modifiers specified while the window is in focus will close the window.

    - ### Methods inherited from class com.holonplatform.vaadin7.internal.components.builders.AbstractComponentConfigurator

      `caption, captionAsHtml, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Constructor Detail

    - #### DefaultViewWindowConfigurator

          public DefaultViewWindowConfigurator(com.vaadin.ui.Window window)

  - ### Method Detail

    - #### closable

          public ViewWindowConfigurator closable(boolean closable)

      Description copied from interface: `ViewWindowConfigurator`
      Sets whether to show a close button in the view Window header.
      Specified by:
        `closable` in interface `ViewWindowConfigurator`
      Parameters:
        `closable` - `true` to show a close button in the view Window header, `false` to not show it
      Returns:
        this

    - #### resizable

          public ViewWindowConfigurator resizable(boolean resizable)

      Description copied from interface: `ViewWindowConfigurator`
      Sets whether to allow the view Window to be resized.
      Specified by:
        `resizable` in interface `ViewWindowConfigurator`
      Parameters:
        `resizable` - whether to allow the view Window to be resized
      Returns:
        this

    - #### draggable

          public ViewWindowConfigurator draggable(boolean draggable)

      Description copied from interface: `ViewWindowConfigurator`
      Set whether the view Window is draggable.
      Specified by:
        `draggable` in interface `ViewWindowConfigurator`
      Parameters:
        `draggable` - whether the view Window is draggable
      Returns:
        this

    - #### position

          public ViewWindowConfigurator position(int x,
                                                 int y)

      Description copied from interface: `ViewWindowConfigurator`
      Sets the position of the view window on the screen.
      Specified by:
        `position` in interface `ViewWindowConfigurator`
      Parameters:
        `x` - The x coordinate for the window
        `y` - The y coordinate for the window
      Returns:
        this

    - #### withCloseShortcut

          public ViewWindowConfigurator withCloseShortcut(int keyCode,
                                                          int... modifiers)

      Description copied from interface: `ViewWindowConfigurator`
      Adds a close shortcut to the view window - pressing this key while holding down all (if any) modifiers specified while the window is in focus will close the window.
      Specified by:
        `withCloseShortcut` in interface `ViewWindowConfigurator`
      Parameters:
        `keyCode` - the keycode for invoking the shortcut
        `modifiers` - the (optional) modifiers for invoking the shortcut. Can be set to null to be explicit about not having modifiers.
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.